SEC-1191: 3.0.0 samples contains deprecated package #1439

Closed
spring-issuemaster opened this Issue Jul 2, 2009 · 1 comment

1 participant

@spring-issuemaster

Shin Sang Jae (Migrated from SEC-1191) said:

spring security samples contacts war has deprecated package.

accessDenied.jsp
wrong: <%@ page import="org.springframework.security.ui.access.AccessDeniedHandlerImpl" %>
correct: <%@ page import="org.springframework.security.web.access.AccessDeniedHandlerImpl" %>

exitUser.jsp
wrong: <%@ page import="org.springframework.security.ui.AbstractProcessingFilter" %>
correct: <%@ page import="org.springframework.security.web.authentication.AbstractProcessingFilter" %>

switchUser.jsp
wrong: <%@ page import="org.springframework.security.ui.AbstractProcessingFilter" %>
correct: <%@ page import="org.springframework.security.web.authentication.AbstractProcessingFilter" %>

@spring-issuemaster

Luke Taylor said:

I believe these should already be fixed by commit no 3725.

@spring-issuemaster spring-issuemaster added this to the 3.0.0 M2 milestone Feb 5, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment